Bug 1307653 - jboss-remoting-jmx: FTBFS in rawhide
jboss-remoting-jmx: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jboss-remoting-jmx (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:38 EST by Fedora Release Engineering
Modified: 2016-03-03 02:07 EST (History)
2 users (show)

See Also:
Fixed In Version: jboss-remoting-jmx-2.0.0-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 02:07:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (1.18 KB, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
root.log (79.28 KB, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
state.log (493 bytes, text/plain)
2016-02-13 16:38 EST, Fedora Release Engineering
no flags Details
fix FTBFS (3.63 KB, patch)
2016-03-01 23:39 EST, gil cattaneo
no flags Details | Diff
fix FTBFS (3.79 KB, patch)
2016-03-01 23:46 EST, gil cattaneo
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:38:41 EST
Your package jboss-remoting-jmx failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12825555

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:38:43 EST
Created attachment 1125023 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:38:44 EST
Created attachment 1125024 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:38:45 EST
Created attachment 1125025 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:49:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 gil cattaneo 2016-03-01 23:39 EST
Created attachment 1132136 [details]
fix FTBFS

- fix FTBFS rhbz#1239603,1307653
- fix BR list and use BR mvn()-like
- remove duplicate files
- introduce license macro
- fix some rpmlint problem

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13196635
Comment 6 gil cattaneo 2016-03-01 23:46 EST
Created attachment 1132140 [details]
fix FTBFS

Disable temporarily the test suite.
Build fails: Timeout(86400)

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13196885
Comment 7 gil cattaneo 2016-03-03 02:07:37 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13210118

Note You need to log in before you can comment on or make changes to this bug.